
/* Chrysalide - Outil d'analyse de fichiers binaires
 * plugins.c - gestion du menu 'Greffons'
 *
 * Copyright (C) 2015-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include "plugins.h"


#include <string.h>


#include <i18n.h>


#include "../../gtkext/easygtk.h"



/******************************************************************************
*                                                                             *
*  Paramètres  : ref      = espace de référencement global.                   *
*                accgroup = groupe d'accélérateurs pour les menus.            *
*                                                                             *
*  Description : Construit le menu "Aide".                                    *
*                                                                             *
*  Retour      : Panneau de menus mis en place.                               *
*                                                                             *
*  Remarques   : -                                                            *
*                                                                             *
******************************************************************************/

GtkWidget *build_menu_plugins(GObject *ref, GtkAccelGroup *accgroup)
{
    GtkWidget *result;                      /* Support à retourner         */
    GtkWidget *menubar;                     /* Support pour éléments       */

    result = gtk_menu_item_new_with_mnemonic(_("_Plugins"));
    gtk_widget_show(result);

    menubar = gtk_menu_new();
    g_object_set_data(ref, "menubar_plugins", G_OBJECT(menubar));
    gtk_menu_item_set_submenu(GTK_MENU_ITEM(result), menubar);

    return result;

}
